package tests;

import dominio.Cine;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestCambiarHoras extends TestCase{

	Cine c;
	protected void setUp(){
		c = new Cine("12:34", "17:34", "12:34", "17:34", "14:34", "19:34", "14:34", "19:34", "peli1", "peli2", "peli3", "peli4", 100, 200, 10, 5);
	}
	
	public void testCambiarHoraIni1U(){
		try {
			c.cambiarhc(1, 1, "32:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraIni1D(){
		try {
			c.cambiarhc(1, 1, ".2:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni2U(){
		try {
			c.cambiarhc(1, 1, "1a:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni2U_2(){
		try {
			c.cambiarhc(1, 1, "2a:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni2D(){
		try {
			c.cambiarhc(1, 1, "2.:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni2D_2(){
		try {
			c.cambiarhc(1, 1, "1.:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni3U(){
		try {
			c.cambiarhc(1, 1, "12;34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni3D(){
		try {
			c.cambiarhc(1, 1, "23.34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni4U(){
		try {
			c.cambiarhc(1, 1, "12:64");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraIni4U_2(){
		try {
			c.cambiarhc(1, 1, "22:64");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni4D(){
		try {
			c.cambiarhc(1, 1, "23:.4");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraIni4D_2(){
		try {
			c.cambiarhc(1, 1, "13:.4");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni5U(){
		try {
			c.cambiarhc(1, 1, "12:2a");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraIni5U_2(){
		try {
			c.cambiarhc(1, 1, "22:2a");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraIni5D(){
		try {
			c.cambiarhc(1, 1, "23:2.");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraIni5D_2(){
		try {
			c.cambiarhc(1, 1, "13:2.");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	
	public void testCambiarHoraFin1U(){
		try {
			c.cambiarhf(1, 1, "32:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin1D(){
		try {
			c.cambiarhf(1, 1, ".2:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin2U(){
		try {
			c.cambiarhf(1, 1, "1a:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin2U_2(){
		try {
			c.cambiarhf(1, 1, "2a:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin2D(){
		try {
			c.cambiarhf(1, 1, "2.:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin2D_2(){
		try {
			c.cambiarhf(1, 1, "1.:34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin3U(){
		try {
			c.cambiarhf(1, 1, "12;34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	
	public void testCambiarHoraFin3D(){
		try {
			c.cambiarhf(1, 1, "23.34");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin4U(){
		try {
			c.cambiarhf(1, 1, "12:64");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin4U_2(){
		try {
			c.cambiarhf(1, 1, "22:64");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin4D(){
		try {
			c.cambiarhf(1, 1, "23:.4");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin4D_2(){
		try {
			c.cambiarhf(1, 1, "13:.4");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin5U(){
		try {
			c.cambiarhf(1, 1, "12:2a");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin5U_2(){
		try {
			c.cambiarhf(1, 1, "22:2a");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	public void testCambiarHoraFin5D(){
		try {
			c.cambiarhf(1, 1, "23:2.");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	public void testCambiarHoraFin5D_2(){
		try {
			c.cambiarhf(1, 1, "13:2.");
			fail();
		} catch (HoraException e) {
			// TODO Auto-generated catch block
			assertTrue(e.getMessage().equals("Lo sentimos, la hora no es valida o el formato es erroneo\nLa hora debe tener el siguiente formato ab:cd siendo a,b,c,d numeros enteros"));
		}
	}
	
	
	
	public void testHorasValidadsIni(){
		
		for(int i =0; i<3;i++){
			for(int j=0;j<=9;j++){
				if((i==0 || i == 1) || (i == 2 && j<5)){
					
					for(int m1=0; m1<6;m1++){
						for(int m2 = 0; m2<=9;m2++){
							String hora = i+""+j+":"+m1+""+m2;
							try {
								c.cambiarhc(1, 1, hora);
								assertTrue(hora,c.getSala1().gethc1().equals(hora));
							} catch (Exception e) {
								fail(hora);
							}
						}
					}
					
				}
			}
		}
		
		
	}
	
	public void testHorasValidadsFin(){
		
		for(int i =0; i<3;i++){
			for(int j=0;j<=9;j++){
				if((i==0 || i == 1) || (i == 2 && j<5)){
					
					for(int m1=0; m1<6;m1++){
						for(int m2 = 0; m2<=9;m2++){
							String hora = i+""+j+":"+m1+""+m2;
							try {
								c.cambiarhf(1, 1, hora);
								//assertTrue(hora,c.getSala1().gethf1().equals(hora));
							} catch (Exception e) {
								fail(hora);
							}
						}
					}
					
				}
			}
		}
		
		
	}
	
}
