package tests;

import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import dominio.exceptions.SNException;
import junit.framework.TestCase;

public class TestLazarExcepciones extends TestCase {

	
	public void testlanzaDIException(){
		try{
			throw new DniException();
		}catch(DniException e){
			assertTrue(e.getMessage() == null);
		}
		
		try{
			throw new DniException("M1");
		}catch(DniException e){
			assertTrue(e.getMessage().equals("M1"));
		}
		
		try{
			throw new DniException(new ArrayIndexOutOfBoundsException());
		}catch(DniException e){
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
		
		try{
			throw new DniException("m1",new ArrayIndexOutOfBoundsException());
		}catch(DniException e){
			assertTrue(e.getMessage().equals("m1"));
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
	}
	
	
	public void testlanzaFLException(){
		try{
			throw new FueradeloslimitesException();
		}catch(FueradeloslimitesException e){
			assertTrue(e.getMessage() == null);
		}
		
		try{
			throw new FueradeloslimitesException("M1");
		}catch(FueradeloslimitesException e){
			assertTrue(e.getMessage().equals("M1"));
		}
		
		try{
			throw new FueradeloslimitesException(new ArrayIndexOutOfBoundsException());
		}catch(FueradeloslimitesException e){
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
		
		try{
			throw new FueradeloslimitesException("m1",new ArrayIndexOutOfBoundsException());
		}catch(FueradeloslimitesException e){
			assertTrue(e.getMessage().equals("m1"));
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
	}
	
	public void testlanzaHException(){
		try{
			throw new HoraException();
		}catch(HoraException e){
			assertTrue(e.getMessage() == null);
		}
		
		try{
			throw new HoraException("M1");
		}catch(HoraException e){
			assertTrue(e.getMessage().equals("M1"));
		}
		
		try{
			throw new HoraException(new ArrayIndexOutOfBoundsException());
		}catch(HoraException e){
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
		
		try{
			throw new HoraException("m1",new ArrayIndexOutOfBoundsException());
		}catch(HoraException e){
			assertTrue(e.getMessage().equals("m1"));
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
	}
	
	public void testlanzaSNException(){
		try{
			throw new SNException();
		}catch(SNException e){
			assertTrue(e.getMessage() == null);
		}
		
		try{
			throw new SNException("M1");
		}catch(SNException e){
			assertTrue(e.getMessage().equals("M1"));
		}
		
		try{
			throw new SNException(new ArrayIndexOutOfBoundsException());
		}catch(SNException e){
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
		
		try{
			throw new SNException("m1",new ArrayIndexOutOfBoundsException());
		}catch(SNException e){
			assertTrue(e.getMessage().equals("m1"));
			assertTrue(e.getCause() instanceof ArrayIndexOutOfBoundsException);
		}
	}
}
