package tests;

import java.io.IOException;

import dominio.Asiento;
import dominio.Cine;
import dominio.Sala_infantil;
import dominio.Sala_vip;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteBea extends TestCase {
	//Hora inicio 10:37:23
	public void test1(){
		Sala_infantil inf = new Sala_infantil("12:00","16:00","14:00","18:00","Harry Potter","Up",5);
		inf.hacerreserva(4, 1, 1234567);
		String dis = inf.distribucionsala(1);
		assertTrue(dis.contains("X4"));
	}
   //Hora Fin: 10:52:26
	
	//Hora inicio 10:52:45
	public void test2(){
		Sala_infantil inf = new Sala_infantil("12:00","16:00","14:00","18:00","Harry Potter","Up",5);
		String hc1 = inf.gethc1();
		assertTrue(hc1 == "12:00");
	}
   //Hora Fin: 10:55:15

//Hora inicio 11:05:20
public void test3(){
	Sala_vip vip = new Sala_vip("12:00","16:00","14:00","18:00","Harry Potter","Up",5,1,5);
	vip.cambiarHc1("13:00");
	String hc1 = vip.gethc1();
	assertTrue(hc1 == "13:00");
}
//Hora Fin: 11:07:20

//Hora inicio 11:08:20
public void test4(){
	Cine cine = new Cine("12:00","13:00","14:00","15:00","14:00","15:00","16:00","17:00","X-Men", "The ring","Harry Potter","Up",5,5,1,5);
	try {
		cine.hacerreserva(1, 1, "1234", "8");
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (DniException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	String dis = cine.getSala1().distribucionsala(1);
	assertTrue(dis.contains("X8"));
}
//Hora Fin: 11:21:58

//Hora inicio 11:27:35
public void test5(){
	Asiento ass = new Asiento(8);
	ass.adaptar();
	ass.desadaptar();
	ass.dardni1(1);
	ass.getreservado1();
	int dni = ass.getdni1();
	ass.dardni2(2);
	ass.getreservado2();
	int dn2 = ass.getdni2();
	assertTrue(dni == 1);
	assertTrue(dn2 == 2);
}
//Hora Fin: 11:37:50

//COBERTURA:
// -------------------------------
//Results for class dominio.Asiento
//-------------------------------
//Live mutants: 28
//Killed mutants: 8
//Mutation Score: 22.0
//-------------------------------
//Results for class dominio.Cine
//-------------------------------
//Live mutants: 0
//Killed mutants: 178
//Mutation Score: 100.0

//For class sesion me da este error:
//Exception in thread "main" java.lang.ArithmeticException: / by zero
//at edu.ncsu.muclipse.exec.RunTests.main(RunTests.java:115)

// HORA COBERTURA 61% hora 11:42:12

//Hora inicio: 11:55:45
public void test7(){
	Cine cine = new Cine("0:00","13:00","14:00","15:00","0:00","15:00","16:00","17:00","", "","","",0,-5,-1,-5);
	try {
		cine.hacerreserva(2, 1, "1234", "4");
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (DniException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cancelarreserva(2, 1, "1234", "4");
	} catch (DniException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	String dis = cine.getSala1().distribucionsala(2);


	assertTrue(dis.contains("O 4"));
}
//Hora Fin: 11:50:;30

//Hora inicio: 11:47:58
public void test6(){
	Cine cine = new Cine("12:00","13:00","14:00","15:00","14:00","15:00","16:00","17:00","X-Men", "The ring","Harry Potter","Up",5,5,1,5);
	try {
		cine.hacerreserva(1, 1, "1234", "8");
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (DniException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cancelarreserva(1, 1, "1234", "8");
	} catch (DniException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	String dis = cine.getSala1().distribucionsala(1);
	try {
		cine.cambiarpeli(1, 1, "Spiderman");
	} catch (IOException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cambiarhc(1, 1, "10:00");
	} catch (HoraException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cambiarhf(1, 1, "12:00");
	} catch (HoraException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cambiarprecio(1, "10");
	} catch (Exception e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cambiaradaptables("4");
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	cine.presentacion();
	assertTrue(dis.contains("O 8"));
}
//Hora Fin: 12:00:00

//Hora comienzo: 12:01:29
public void test8(){
	Cine cine = new Cine("12:00","13:00","14:00","15:00","14:00","15:00","16:00","17:00","X-Men", "The ring","Harry Potter","Up",5,5,1,5);
	cine.cambiartipo(1, 1, true);
	assertTrue(cine.getSala1().getT1());
}
//Hora Fin: 12:04:56

public void test9(){
	Cine cine = new Cine("12:00","13:00","14:00","15:00","14:00","15:00","16:00","17:00","X-Men", "The ring","Harry Potter","Up",5,5,1,5);
	try {
		cine.cambiaradaptables("5");
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	try {
		cine.cambiarmesas("3");
	} catch (Exception e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	assertTrue(true);
}
//Hora Fin: 12:06:00

//Hora inicio: 12:07:28
public void test10(){
	Cine cine = new Cine("12:00","13:00","14:00","15:00","14:00","15:00","16:00","17:00","X-Men", "The ring","Harry Potter","Up",5,5,1,5);
	int dni = cine.getSala1().getdni(1, 1);
	cine.getSala2().cambiar_adaptables(3);
	assertTrue(dni == 0);
}
//Hora Fin: 12:12:55

//Hora inicio: 12:16:42
public void test11(){
	Cine cine = new Cine("12:00","13:00","14:00","15:00","14:00","15:00","16:00","17:00","X-Men", "The ring","Harry Potter","Up",5,5,1,5);
	try {
		cine.hacerreserva(2, 2, "00000", "0");
	} catch (FueradeloslimitesException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	} catch (DniException e) {
		// TODO Auto-generated catch block
		e.printStackTrace();
	}
	String dis = cine.getSala2().distribucionsala(2);
	assertTrue(dis.contains("X 0"));
}
//Hora Fin: 12:19:55

//Hora inicio: 12:20:36
public void test12(){
	Asiento as= new Asiento(0);
	assertFalse(as.getreservado1());
}
//Hora Fin: 12:23:41


}

//COBERTURA FINAL : HORA 12:25:42
//
//-------------------------------
//Results for class dominio.Asiento
//-------------------------------
//Live mutants: 24
//Killed mutants: 12
//Mutation Score: 33.0

//-------------------------------
//Results for class dominio.Cine
//-------------------------------
//Live mutants: 135
//Killed mutants: 43
//Mutation Score: 24.0


