package tests;

import dominio.Asiento;
import dominio.Cine;
import dominio.Sala;
import dominio.Sala_vip;
import dominio.Sesion;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteJavi extends TestCase {

	//Hora inicio: 10:37:07
	public void test1(){
		Sesion ses=new Sesion("10:00", "12:00", "Matrix");
		assertTrue(ses.getP().equals("Matrix"));
	}
	//Hora fin: 10:40:59
	//Cobertura 0% hora: 10:45:20
	
	
	//Hora inicio: 10:45:37
	public void test2(){
		Cine cine=new Cine("10:00", "20:00", "12:00", "21:00", 
				"13:00", "24:00", "14:00", "24:00", 
				"Matrix", "Star Wars", "Matrix 2", "Pulp Fiction", 3.5, 4.0, 3, 8);
		assertTrue(cine.getSala1().gethc1().equals("10:00"));
		
		try {
			cine.cambiarbarras("5");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		assertTrue(cine.getSala1().getbarras()== 5);
	}
	//Hora fin: 10:59:08
	//Cobertura 16% hora: 11:03:56
	

	//Hora inicio: 11:04:15
	public void test3(){
		Cine cine=new Cine("10:00", "20:00", "12:00", "21:00", 
				"13:00", "24:00", "14:00", "24:00", 
				"Matrix", "Star Wars", "Matrix 2", "Pulp Fiction", 3.5, 4.0, 3, 8);
		
		assertTrue(cine.getSala1().getP1().equals("Matrix"));
		
		try {
			cine.cambiaradaptables("15");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}	
		String dis=cine.getSala2().distribucionsala(1);
		assertTrue(dis.contains("N 1\t"));
		
		try {
			cine.hacerreserva(2, 1, "12345", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis2=cine.getSala2().distribucionsala(1);
		assertTrue(dis2.contains("X 1\t"));
	}
	//Hora fin: 11:15:17
	//Cobertura 27% hora: 11:20:55
	
	
	//Hora inicio: 11:21:43
	public void test4(){
		Cine cine=new Cine("10:00", "20:00", "12:00", "21:00", 
				"13:00", "24:00", "14:00", "24:00", 
				"Matrix", "Star Wars", "Matrix 2", "Pulp Fiction", 3.5, 4.0, 3, 8);
		
		try {
			cine.cambiarhc(1, 1, "11:00");
		} catch (HoraException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		assertTrue(cine.getSala1().gethc1().equals("11:00"));
		
		try {
			cine.cambiarhf(2, 1, "15:00");
		} catch (HoraException e1) {
			// TODO Auto-generated catch block
			e1.printStackTrace();
		}
		assertTrue(cine.getSala2().gethf1().equals("15:00"));
					
		try {
			cine.hacerreserva(1, 1, "12345", "1");
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis=cine.getSala1().distribucionsala(1);
		assertTrue(dis.contains("X 1\t"));
		
		try {
			cine.cancelarreserva(1, 1, "12345", "1");
		} catch (DniException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (FueradeloslimitesException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		String dis2=cine.getSala1().distribucionsala(1);
		assertTrue(dis2.contains("O 1\t"));
	}
	//Hora fin: 11:26:26
	//Cobertura 28% hora: 11:35:52
	

	//Hora inicio: 11:36:02
	public void test5(){
		Sala sala_vip = new Sala_vip("10:00", "20:00", "13:00", "24:00", "Matrix", "Star Wars", 3.5, 3, 8);
		
		sala_vip.cambiaprecio(5.0);
		assertTrue(sala_vip.getprecio() == 5.0);
		
		sala_vip.cambiarHc1("11:00");
		assertTrue(sala_vip.gethc1().equals("11:00"));
		
		sala_vip.cambiarHc2("18:00");
		assertTrue(sala_vip.gethc2().equals("18:00"));
		
		sala_vip.cambiarHf1("14:00");
		assertTrue(sala_vip.gethf1().equals("14:00"));
		
		sala_vip.cambiarHf2("22:00");
		assertTrue(sala_vip.gethf2().equals("22:00"));
		
		sala_vip.cambiarT1(true);
		assertTrue(sala_vip.getT1());
		
		sala_vip.cambiarT2(true);
		assertTrue(sala_vip.getT2());
		
	}
	//Hora fin: 11:44:42
	//Cobertura 19% hora: 11:50:19
	//No s por qu, pero la cobertura con este caso de prueba disminuye
	
	
	//Hora inicio: 11:51:10
	public void test6(){
		Sala_vip sala_vip = new Sala_vip("10:00", "20:00", "13:00", "24:00", "Matrix", "Star Wars", 3.5, 3, 8);
		
		sala_vip.cambiaprecio(5.0);
		assertTrue(sala_vip.getprecio() == 5.0);
		
		sala_vip.cambiarHc1("11:00");
		assertTrue(sala_vip.gethc1().equals("11:00"));
		
		sala_vip.cambiarHc2("18:00");
		assertTrue(sala_vip.gethc2().equals("18:00"));
		
		sala_vip.cambiarHf1("14:00");
		assertTrue(sala_vip.gethf1().equals("14:00"));
		
		sala_vip.cambiarHf2("22:00");
		assertTrue(sala_vip.gethf2().equals("22:00"));
		
		sala_vip.cambiarT1(true);
		assertTrue(sala_vip.getT1());
		
		sala_vip.cambiarT2(true);
		assertTrue(sala_vip.getT2());
		
		sala_vip.cnumerob(8);
		assertTrue(sala_vip.getbarras()==8);
		
		sala_vip.cnumerom(12);
		assertTrue(sala_vip.getmesas()==12);
		
	}
	//Hora fin: 11:57:24
	//Cobertura 19% hora: 12:01:38
	//No s por qu, pero la cobertura con este caso de prueba tambin disminuye
	
	
	//Hora inicio: 12:02:20
	public void test7(){
		Asiento as= new Asiento(1);
		as.adaptar();
		assertTrue(as.getadaptable());
		
		as.desadaptar();
		assertFalse(as.getadaptable());
	}
	//Hora fin: 12:06:04
	//Cobertura 32% hora: 12:13:46
	//El 32% lo he conseguido no incluyendo los dos casos de prueba anteriores,
	//los que disminuyen la cobertura
	
	
	//Hora inicio: 12:14:26
	public void test8(){
		Cine cine=new Cine("10:00", "20:00", "12:00", "21:00", 
				"13:00", "24:00", "14:00", "24:00", 
				"Matrix", "Star Wars", "Matrix 2", "Pulp Fiction", 3.5, 4.0, 3, 8);
		
		String presen = cine.presentacion();
		assertTrue(presen.contains("Star Wars"));
	}
	//Hora fin: 12:16:15
	//Cobertura 19% hora: 12:22:13 
	//Comentando los test 5 y 6 se consigue una cobertura de 32%
}
