package tests;

import java.io.IOException;

import dominio.Cine;
import dominio.Sala_infantil;
import dominio.Sala_vip;
import dominio.Sesion;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteMoi extends TestCase {
	
	//Hora Inicio 10:40:23
	//Prueba de Sesion
	public void testBacterio1 (){
		
		Sesion ses = new Sesion("10:00", "11:00", "sesionGolfa");
		
		assertTrue (ses.gethcomienzo()=="10:00" && ses.gethfinal()=="11:00" && ses.getP()=="sesionGolfa");		
	}
	//Hora Fin 10:50:31
	//Cobertura: 0.0% 10:55:09
	
	
	//Hora Inicio 10:53:00
	//Prueba de SalaVip
	public void testBacterio2 (){
		
		Sala_vip sVip = new Sala_vip("10:00", "11:00", "12:00", "13:00", "S1", "S2", 6, 2, 5);
		
		sVip.hacerreserva(7, 1, 5555555);
		String dis=sVip.distribucionsala(1);
		
		assertTrue (sVip.buscadni(5555555, 1) == true && dis.contains("X 7"));		
	}
	//Hora Fin 11:02:00
	//Cobertura: 12.56% 11:06:46
	
	//Hora Inicio 11:03:00
	//Prueba de Sala_infantil
	public void testBacterio3 (){
		
		Sala_infantil sInf= new Sala_infantil ("10:00", "11:00", "12:00", "13:00", "S1", "S2", 4);
		
		sInf.hacerreserva(7, 1, 5555555);
		String dis=sInf.distribucionsala(1);
		boolean reservado=sInf.getreserva(7, 1);
		
		assertTrue (sInf.buscadni(5555555, 1) == true && dis.contains("X 7")&& reservado==true);		
	}
	//Hora Fin 11:08:00
	//Cobertura:  33.16% 11:15:15 
	
	//Hora Inicio 11:10:00
	//Prueba de Sala_infantil2
	public void testBacterio4 (){
		
		Sala_infantil sInf= new Sala_infantil ("10:00", "11:00", "12:00", "13:00", "S1", "S2", 4);
		
		sInf.hacerreserva(7, 1, 5555555);
		sInf.hacerreserva(5, 2, 6666666);
		String dis1=sInf.distribucionsala(1);
		String dis2=sInf.distribucionsala(2);
		boolean reservado=sInf.getreserva(7, 1);
		boolean reservado2=sInf.getreserva(5, 1);
		
		assertTrue (sInf.buscadni(5555555, 1) == true && dis1.contains("X 7")&& reservado==true && reservado2==false && dis2.contains("X 5")==true && dis2.contains ("X 1")==false);
		
	}
	//Hora Fin 11:16:00
	//Cobertura:  35.55% 11:21:32
	
	
	//Hora Inicio 11:17:00
	//Prueba de Sala_infantil3
	public void testBacterio5 (){
		
		Sala_infantil sInf= new Sala_infantil ("10:00", "11:00", "12:00", "13:00", "S1", "S2", 4);
		
		sInf.hacerreserva(7, 1, 5555555);
		sInf.hacerreserva(8, 1, 5555555);
		sInf.cancelarreserva(8, 1);
		sInf.cambiar_adaptables(6);
		String dis1=sInf.distribucionsala(1);
		assertTrue (sInf.buscadni(5555555, 1) == true && dis1.contains("X 7")&& dis1.contains("N 11") && dis1.contains("X 8")==false);
		
	}
	//Hora Fin 11:21:44
	//Cobertura:  44.61% 11:27:31
	
	
	//Hora Inicio 11:25:23
	//Prueba de Cine
	public void testBacterio6 () throws Exception{
		
		Cine cin=new Cine ("10:00", "10:00", "11:00", "11:00", "11:00", "11:00", "12:00", "12:00", "Rambo1", "Rambo2", "Rambo3", "Rambo4", 10, 10, 5, 6 );
		cin.hacerreserva(1, 1, "3333333", "33");
		cin.hacerreserva(1, 1, "3333333", "34");
		cin.hacerreserva(1, 1, "3333333", "35");
		cin.cancelarreserva(1, 1, "3333333", "35");
		cin.cambiarpeli(1, 1, "ChorizontesLejanos");
		cin.cambiarhc(1, 2, "00:00");
		cin.cambiarprecio(2,"15");
		cin.cambiaradaptables("3");
		cin.cambiartipo(2, 2, false);
		String pres= cin.presentacion();
		Sala_vip svip= cin.getSala1();
		String dis1= svip.distribucionsala(1);
		Sala_infantil sinf= cin.getSala2();
		String dis2= sinf.distribucionsala(2);
		
		assertTrue (pres.contains("ChorizontesLejanos"));
		assertTrue(dis1.contains("X 33"));
		assertTrue (dis1.contains("X 35")==false);
		assertTrue(dis2.contains("N 23")==false);
		assertTrue (svip.gethc2().equals("00:00"));
		assertTrue (sinf.gethf2().equals("12:00"));
		assertTrue (sinf.getprecio()==15);
		
	}
	//Hora Fin 12:03:23
	//Cobertura:  64.44 %  12:10:50
	
}
