package tests;

import java.io.IOException;
import java.util.StringTokenizer;

import dominio.Asiento;
import dominio.Cine;
import dominio.exceptions.DniException;
import dominio.exceptions.FueradeloslimitesException;
import dominio.exceptions.HoraException;
import junit.framework.TestCase;

public class TestSuiteNacho extends TestCase {
    protected Cine c;
	public void setUp()throws Exception{
		c = new Cine("17:00", "20:00", "16:00", "20:30", "19:00", "23:00", "18:30", "24:00", "Distrito 9", "El ltimo chiquete", "Match Point", "El clan del oso", 6.50, 4, 7, 12);
	}
	
	
	//Inicio: 10:37:12
	public void test1()
	{
		String res="";
		try{
			c.hacerreserva(1, 1, "1234", "4");
			res = c.getSala1().distribucionsala(1);
			 
			
		}catch(FueradeloslimitesException fle){
			
		}catch(DniException de){
			
		}
		assertTrue(res.contains("X 4\t"));
	}
	//Fin: 11:01:30
	//Cobertura: 9%

	//Inicio: 11:17:22
	public void test2()
	{
		String res="";
		try{
			c.hacerreserva(1, 1, "1234", "4");
			res = c.getSala1().distribucionsala(1);
			 
			
		}catch(FueradeloslimitesException fle){
			
		}catch(DniException de){
			
		}
		assertFalse(res.contains("X 4\t"));
	}
	//Fin: 11:17:50
	//Cobertura: 9%
	
	//Inicio: 11:18:03
	public void test3()
	{
		String res="";
		try{
			c.cancelarreserva(1, 2, "1234", "4");
			res = c.getSala1().distribucionsala(1);
			 
			
		}catch(FueradeloslimitesException fle){
			
		}catch(DniException de){
			
		}
		assertFalse(res.contains("X 4\t"));
	}
	//Fin: 11:20:14
	//Cobertura: 9%

	//Inicio: 11:23:52
	public void test4()
	{
		String res="";
		try{
			c.cancelarreserva(1, 2, "1234", "4");
			res = c.getSala1().distribucionsala(1);
			 
			
		}catch(FueradeloslimitesException fle){
			
		}catch(DniException de){
			
		}
		assertTrue(res.contains("X 4\t"));
	}
	//Fin: 11:24:20
	//Cobertura: 9%

	//Inicio: 11:24:45
	public void test5()
	{
		String res="";
		try{
			c.cambiarpeli(1, 1, "ET");
			res = c.presentacion();
			 
			
		}catch(IOException fle){
			
		}
		assertTrue(res.contains("ET"));
	}
	//Fin: 11:28:06
	//Cobertura: 9%
	
	//Inicio: 11:29:30
	public void test6()
	{
		String res="";
		try{
			c.cambiarpeli(1, 2, "El milagro de ptinto");
			res = c.presentacion();
			 
			
		}catch(IOException fle){
			
		}
		assertTrue(res.contains("El milagro de ptinto"));
	}
	//Fin: 11:30:33
	//Cobertura: 9%

	//Inicio: 11:33:26
	public void test7()
	{
		String res="";

			c.cambiartipo(1, 1, true);
			res = c.getSala1().toString();
			 
			
		assertTrue(res.contains("con cortometraje"));
	}
	//Fin: 11:49:17
	//Cobertura: 10.5% (11:50:25)

	//Inicio: 11:50:41
	public void test8()
	{
		String res="";

			c.cambiartipo(1, 1, false);
			res = c.getSala1().toString();
			 
			
		assertFalse(res.contains("con cortometraje"));
	}
	//Fin: 11:51:07
	//Cobertura: 10.5% (11:51:59)

	//Inicio: 11:52:43
	public void test9()
	{
		double res=0;
		try{
			c.cambiarprecio(1, "7");
			res = c.getSala1().getprecio();
		}catch(Exception e){ 
		}
		assertTrue(res==7);
		
	}
	//Fin: 11:55:16
	//Cobertura: 11.5% (11:55:58)

	//Inicio: 12:07:32
	public void test10()
	{
		String res = "";
		try{
			c.hacerreserva(1, 1, "1234", "5");
			c.cancelarreserva(1, 2, "1234", "5");
		}catch(FueradeloslimitesException fle){
			
		}catch(DniException de){
			
		}
		assertTrue(res.contains("O 5\t"));
	}
	//Fin: 12:15:25
	//Cobertura: 11.5% (12:15:59)

	//Inicio: 12:18:22
	public void test11()
	{
		String res = "";
		try{
			
			c.cambiarhf(1, 1, "19:00");
			res = c.getSala1().gethf1();
		}
		catch(HoraException he){
				
		}
		assertTrue(res.contains("19:00"));
	}
	//Fin: 12:23:23	
	//Cobertura: 11.5%

	
}
